| NUC029FAE BSP V3.01.002 The Board Support Package for NUC029FAE

Macros | Functions | Variables
system_NUC029FAE.h File Reference

NUC029FAE system clock definition file. More...

Go to the source code of this file.

## Macros
#define | __XTAL12M (12000000UL)
#define | __XTAL32K (32768UL)
#define | __IRC22M (22118400UL)
#define | __IRC10K (10000UL)
#define | __XTAL __XTAL12M
#define | __HSI (__IRC22M) /* Factory Default is internal 22MHz */

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...

## Variables
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs

## Detailed Description

NUC029FAE system clock definition file.

Version
  V1.00

Revision
  1

Date
  14/05/16 10:00a

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file system_NUC029FAE.h.

## Macro Definition Documentation

## ◆ __HSI

#define __HSI (__IRC22M) /* Factory Default is internal 22MHz */

Definition at line 34 of file system_NUC029FAE.h.

## ◆ __IRC10K

#define __IRC10K (10000UL)

Definition at line 32 of file system_NUC029FAE.h.

## ◆ __IRC22M

#define __IRC22M (22118400UL)

Definition at line 31 of file system_NUC029FAE.h.

## ◆ __XTAL

#define __XTAL __XTAL12M

Definition at line 33 of file system_NUC029FAE.h.

## ◆ __XTAL12M

#define __XTAL12M (12000000UL)

Definition at line 29 of file system_NUC029FAE.h.

## ◆ __XTAL32K

#define __XTAL32K (32768UL)

Definition at line 30 of file system_NUC029FAE.h.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Parameters

  None |

Returns
  None

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 31 of file system_NUC029FAE.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs

Cycles per micro second

Definition at line 21 of file system_NUC029FAE.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)

Definition at line 20 of file system_NUC029FAE.c.